package cn.ibizlab.core.task.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.task.domain.JOBInfo;
import cn.ibizlab.core.task.filter.JOBInfoSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[JOBInfo] 服务对象接口
 */
public interface IJOBInfoService extends IService<JOBInfo>{

    boolean update(JOBInfo et) ;
    void updateBatch(List<JOBInfo> list) ;
    boolean checkKey(JOBInfo et) ;
    boolean save(JOBInfo et) ;
    void saveBatch(List<JOBInfo> list) ;
    JOBInfo getDraft(JOBInfo et) ;
    boolean remove(BigInteger key) ;
    void removeBatch(Collection<BigInteger> idList) ;
    JOBInfo get(BigInteger key) ;
    boolean create(JOBInfo et) ;
    void createBatch(List<JOBInfo> list) ;
    Page<JOBInfo> searchDefault(JOBInfoSearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);


}


