package cn.ibizlab.core.task.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.task.domain.JOBLog;
import cn.ibizlab.core.task.filter.JOBLogSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[JOBLog] 服务对象接口
 */
public interface IJOBLogService extends IService<JOBLog>{

    JOBLog getDraft(JOBLog et) ;
    boolean update(JOBLog et) ;
    void updateBatch(List<JOBLog> list) ;
    boolean create(JOBLog et) ;
    void createBatch(List<JOBLog> list) ;
    boolean checkKey(JOBLog et) ;
    boolean save(JOBLog et) ;
    void saveBatch(List<JOBLog> list) ;
    boolean remove(BigInteger key) ;
    void removeBatch(Collection<BigInteger> idList) ;
    JOBLog get(BigInteger key) ;
    Page<JOBLog> searchDefault(JOBLogSearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);


}


