package cn.ibizlab.core.task.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.task.domain.JOBRegistry;
import cn.ibizlab.core.task.filter.JOBRegistrySearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[JOBRegistry] 服务对象接口
 */
public interface IJOBRegistryService extends IService<JOBRegistry>{

    JOBRegistry get(BigInteger key) ;
    boolean remove(BigInteger key) ;
    void removeBatch(Collection<BigInteger> idList) ;
    boolean update(JOBRegistry et) ;
    void updateBatch(List<JOBRegistry> list) ;
    boolean save(JOBRegistry et) ;
    void saveBatch(List<JOBRegistry> list) ;
    boolean create(JOBRegistry et) ;
    void createBatch(List<JOBRegistry> list) ;
    boolean checkKey(JOBRegistry et) ;
    JOBRegistry getDraft(JOBRegistry et) ;
    Page<JOBRegistry> searchDefault(JOBRegistrySearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);


}


